%define		_realname	thunar-volman
Summary:	Volumes manager for Thunar
Summary(pl.UTF-8):	Zarządca napędów dla Thunara
Name:		Thunar-volman
Version:	4.18.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/xfce/%{_realname}/4.18/%{_realname}-%{version}.tar.bz2
# Source0-md5:	a0965931e78fe662ad134e63b1ab33b9
Patch0:		%{name}-desktop.patch
URL:		https://goodies.xfce.org/projects/thunar-plugins/thunar-volman
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	exo-devel >= 0.10.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.66.0
BuildRequires:	gtk+3-devel
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libxfce4ui-devel >= 4.18.0
BuildRequires:	libxfce4util-devel >= 4.18.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.000
BuildRequires:	udev-glib-devel >= 145
BuildRequires:	xfce4-dev-tools >= 4.18.0
BuildRequires:	xfconf-devel >= 4.18.0
Requires:	gtk-update-icon-cache
Requires:	gvfs
Requires:	hicolor-icon-theme
Requires:	Thunar >= 4.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Thunar Volume Manager is an extension for the Thunar file manager,
which enables automatic management of removable drives and media. For
example, if Thunar-volman is installed and configured properly, and
you plug in your digital camera, it will automatically launch your
preferred photo application and import the new pictures from the
camera into your photo collection.

%description -l pl.UTF-8
Thunar Volume Manager jest rozszerzeniem zarządcy plików Thunar, które
pozwala na automatyczne zarządzanie przenośnych dysków i mediów. Na
przykład, jeżeli Thunar-volman jest zainstalowany i skonfigurowany
poprawnie, przy podłączaniu aparatu cyfrowego automatycznie uruchomi
preferowaną aplikację i zaimportuje nowe zdjęcia z aparatu do kolekcji
zdjęć użytkownika.

%prep
%setup -q -n %{_realname}-%{version}
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{hye,ie,ur_PK}
# unify
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{hy_AM,hy}

%find_lang %{_realname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{_realname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS THANKS
%attr(755,root,root) %{_bindir}/thunar-volman
%attr(755,root,root) %{_bindir}/thunar-volman-settings
%{_desktopdir}/thunar-volman-settings.desktop
%{_iconsdir}/hicolor/*/apps/*
%changelog
* Sat Dec 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Thunar-volman.git;a=log;h=master

* Fri Dec 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 977ef1d
- up to 4.18.0

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4685280
- up to 4.16.0

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> d95a468
- up to 0.9.5

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> c38f26d
- up to 0.9.2

* Thu Apr 11 2019 Adam Gołębiowski <adamg@pld-linux.org> cead8ef
- updated to 0.9.1

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 84efe1c
- release 2 (by relup.sh)

* Sun Jun 10 2018 Jan Rękorajski <baggins@pld-linux.org> 94c99ee
- up to 0.9.0

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> ad8752f
- up to 0.8.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 22817e3
- updated gettext BR

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> cceea79
- updated to 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a23bfed
- update md5sum

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> fd259b1
- 0.8.0 for xfce 4.10

* Mon Nov 21 2011 lisu <lisu@pld-linux.org> 5731be8
- rel 4

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> b25d7ed
- comment

* Tue Apr 26 2011 Jan Rękorajski <baggins@pld-linux.org> f5762b6
- rel 3
- R gvfs

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> d546c94
- rel 2

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0606a3b
- merged from DEVEL

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 4167b3d
- Requires(post,postun): gtk-update-icon-cache

* Sun May 16 2010 sparky <sparky@pld-linux.org> 7c025bd
- BR: gettext-devel, pkgconfig

* Tue May 11 2010 Jan Rękorajski <baggins@pld-linux.org> 70e029e
- rel 2
- XFCE only

